Skip to main content
GET
/
v1
/
schedules
/
{scheduleId}
Get schedule
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Weekly Sales Report",
  "organizationId": "org-uuid",
  "entityId": "dashboard-uuid",
  "ownerId": "user-uuid",
  "owner": {
    "name": "Jane Smith"
  },
  "schedule": "0 9 ? * MON *",
  "timezone": "America/New_York",
  "fanOut": false,
  "killJobsOnFailure": false,
  "filterConfig": null,
  "metadata": null,
  "conditionType": null,
  "conditionQueryMapKey": null,
  "disabledAt": null,
  "systemDisabledAt": null,
  "systemDisabledReason": null,
  "createdAt": "2025-01-15T10:00:00.000Z",
  "updatedAt": "2025-01-20T08:30:00.000Z",
  "destinations": [
    {
      "id": "dest-uuid",
      "format": "pdf",
      "lastStatus": "COMPLETE",
      "lastCompletedAt": "2025-01-20T09:00:05.000Z",
      "metadata": {
        "type": "email"
      },
      "recipients": [
        {
          "id": "recipient-uuid",
          "membershipId": "membership-uuid",
          "membership": {
            "user": {
              "email": "alice@example.com",
              "name": "Alice"
            }
          }
        }
      ],
      "userGroupRecipients": []
    }
  ]
}
How this endpoint behaves depends on the type of API key being used:
API Key TypeBehavior
Personal Access TokenThe user must be able to view and manage the associated dashboard. Users who can view and schedule but do not have permissions to manage schedules must also be the schedule owner to access the schedule.
Organization API KeyActs at org level with no additional permission check; optionally accepts userId to check permissions as a specific user.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

scheduleId
string<uuid>
required

UUID of the schedule. Found in the schedule URL after /schedules/.

To find a schedule's ID:

  1. Navigate to the dashboard of a document.
  2. Click File > Deliveries & Alerts.
  3. Next to a schedule, click Edit.

The schedule's ID is in the page's URL, after /schedules/. For example, the schedule ID in this URL is 123e4567-e89b-12d3-a456-426614174000:

https://blobsrus.omniapp.co/dashboards/e23ebaa0/schedules/123e4567-e89b-12d3-a456-426614174000

Query Parameters

userId
string<uuid>

Membership ID of the user whose permissions should be checked (org API keys only). When provided, the endpoint verifies the user can view the associated dashboard before returning the schedule.

Response

Schedule retrieved successfully

id
string<uuid>

Schedule UUID

name
string

Schedule name

organizationId
string<uuid>

Organization UUID

entityId
string<uuid>

ID of the associated dashboard

ownerId
string<uuid>

User ID of the schedule owner

owner
object
schedule
string

Schedule's cron expression (minute hour day-of-month month day-of-week year)

timezone
string

IANA timezone identifier (e.g., America/New_York)

fanOut
boolean

When true, each recipient receives a personalized delivery

killJobsOnFailure
boolean

When true, the job stops if any queries fail

filterConfig
object

Dashboard filter values applied at delivery time

metadata
object

Format options and other delivery settings

conditionType
enum<string> | null

Alert condition type. null for standard schedules.

Available options:
RESULTS_CHANGED,
RESULTS_PRESENT,
RESULTS_MISSING
conditionQueryMapKey
string | null

Query key used to evaluate the alert condition. null for standard schedules.

disabledAt
string<date-time> | null

Timestamp when the schedule was manually paused. null if active.

systemDisabledAt
string<date-time> | null

Timestamp when the system automatically disabled the schedule

systemDisabledReason
enum<string> | null

Reason for system disabling

Available options:
missingQuery,
noAccess,
orphanedFilterConfigKeys
createdAt
string<date-time>

ISO 8601 creation timestamp

updatedAt
string<date-time>

ISO 8601 last-updated timestamp

destinations
object[]

Delivery destination configurations